Subject: bug#79347: Bad formatting for ls with block-size 'k

From: Peter Laan <[email-masked]>
Date: Sat, 30 Aug 2025 10:15:11 +0200

Hi,

I'm a GNU/Linux noob so maybe I'm doing something wrong. But see the
attached image for badly formatted output from ls -s1 --block-size=\'k. The
columns are not always aligned. This only happens when you have large files
in the directory. Everything looks fine with --block-size=k.

I'm running Arch with the latest updates. ls version 9.7.